<%@ Language=VBScript %>
<!--#include file="EBAXML.inc"-->
<%
' This file is used as a Save Handler for the Grid control. When the user clicks
' the save button in default.asp a datagram is sent to this script.
' The script in turn looks at each update in the datagram and processes them accordingly.

' We have provided all the necessary functionality in the EBASaveHandler_ functions to extract any of the update instructions.
' For more details please have a look at our shipped online help under Reference/Server

' We need this small function in order to handle NULL values for number columns in the database
function GetNullOrNumber(number)
	IF (number = "") THEN
		GetNullOrNumber = "NULL"
	ELSE
		GetNullOrNumber = number
	END IF
end function



EBASaveHandler_ProcessRecords

' This block of code is ADO connection code used only for demonstration purposes
' objConn is an ADO object we use here for demonstration purposes.
	dim objConn
	dim accessdb

	dim strconn

	accessdb=server.mappath(".")&"\data\accounts.mdb"
	strconn="PROVIDER=Microsoft.Jet.OLEDB.4.0;DATA SOURCE=" & accessDB & ";USER ID=;PASSWORD=;"
	Set objConn = Server.CreateObject("ADODB.Connection")
	objConn.open strconn


dim CurrentRecord
dim MyQuery


' ********************************************************** '
' Begin by processing our inserts
' ********************************************************** '

if EBASaveHandler_ReturnInsertCount > 0 then
	' Yes there are INSERTs to perform...

	for CurrentRecord = 0 to EBASaveHandler_ReturnInsertCount-1

		MyQuery = "INSERT INTO tblInvoices (ProductID, TotalValue, PaidTotal, InvoiceDate, CustomerID, CustomerName) VALUES ("

			MyQuery = MyQuery & "" & GetNullOrNumber(EBASaveHandler_ReturnInsertField(CurrentRecord,1))  & ","
			MyQuery = MyQuery & "" & GetNullOrNumber(EBASaveHandler_ReturnInsertField(CurrentRecord,3))  & ","
			MyQuery = MyQuery & "" & GetNullOrNumber(EBASaveHandler_ReturnInsertField(CurrentRecord,4))  & ","
			MyQuery = MyQuery & "'" & EBASaveHandler_ReturnInsertField(CurrentRecord,6) & "',"
			MyQuery = MyQuery & "" & GetNullOrNumber(EBASaveHandler_ReturnInsertField(CurrentRecord,7))  & ","
			MyQuery = MyQuery & "'" & EBASaveHandler_ReturnInsertField(CurrentRecord,8) & "'"

		MyQuery = MyQuery & "); "

		' Now we execute this query
		objConn.execute(MyQuery)

	next
end if


' ********************************************************** '
' Continue by processing our updates
' ********************************************************** '

if EBASaveHandler_ReturnUpdateCount > 0 then
	' Yes there are UPDATEs to perform...

	for CurrentRecord = 0 to EBASaveHandler_ReturnUpdateCount-1

		MyQuery = "UPDATE tblInvoices "

			MyQuery = MyQuery & "SET ProductID = '" & GetNullOrNumber(EBASaveHandler_ReturnUpdateField(CurrentRecord,1)) & "', "
			MyQuery = MyQuery & "TotalValue = " & GetNullOrNumber(EBASaveHandler_ReturnUpdateField(CurrentRecord,3)) & ", "
			MyQuery = MyQuery & "PaidTotal = " & GetNullOrNumber(EBASaveHandler_ReturnUpdateField(CurrentRecord,4)) & " "

		MyQuery = MyQuery & " WHERE InvoiceID = " & EBASaveHandler_ReturnUpdateField(CurrentRecord,0)

		'Response.Write(MyQuery)

		' Now we execute this query
		objConn.execute(MyQuery)

	next
end if




' ********************************************************** '
' Finish by processing our deletes
' ********************************************************** '

if EBASaveHandler_ReturnDeleteCount > 0 then
	' Yes there are DELETEs to perform...

	for CurrentRecord = 0 to EBASaveHandler_ReturnDeleteCount-1

		MyQuery = "DELETE FROM tblInvoices WHERE InvoiceID = " & EBASaveHandler_ReturnDeleteField(CurrentRecord)

		' Now we execute this query
		objConn.execute(MyQuery)

	next
end if

EBASaveHandler_CompleteSave



%>
